#
# FILE:
# Makefile
#
# FUNCTION:
# Makefile for serial port utility

CC=gcc
CFLAGS=-c -g -I/usr/local/include -Wall
LFLAGS=
#LIBS=-lnsl -lcurses -l/usr/local/lib
LIBS=-lncurses

%.o: %.c %.h
	$(CC) $(CFLAGS) $<

all: megaloader

objects=  megaload.o \
	hex_prog.o \
	interface.o \
	vtdecode.o \
	linux_serial.o \
	linux_screen.o
  

megaloader: $(objects)
	$(CC)  $(objects) $(LIBS) $(LFLAGS) -o megaloader.bin

dist: megaloader
	strip megaloader.bin
	mv -f megaloader.bin ../bin/Linux

clean:
	rm -f megaloader.bin *.o *~ *~*
