#ifdef MAIN
int eep_rom = 0;
#ifdef __WIN32__
 char default_comport[] = "Com1:" ;
 #define SERIAL_DELAY 200
 #define SEC_4_DELAY 4000
#endif

#ifdef  __linux__
 char default_comport[] = "/dev/ttyS0" ;
 #define SERIAL_DELAY 40
 #define SEC_4_DELAY 800
#endif /* LINUX */

#else
// char default_comport[];
 extern int eep_rom;
#endif


/*
*       Function Prototypes
*/
void down_load (char *dnfile);
void send_command (char *buf);
int rs232_out (unsigned char param);
int send_file (void);
int get_filename (void);
int disp_ch (int ichar);
int tty (void);
void EmptyInput(int count);
void DumpInput(int count);
void hex_load(char *dnfile, int mode);
int vtdecode( unsigned char rx_ch ); 	/* char to decode */
void upload_config(char *dnfile);
void upload_tables(char *dnfile);
void send_message(char *s);
int read_message(int cnt, char *buf);
int srl_wait(int cnt, char *buf);

